
# react-comment-codeby

This react-comment-codeby library supports only ReactJS. Connect directly with https://comment.codeby.com

## Installation

You can use any NPM-compatible package manager, including NPM itself and Yarn.

```bash
  yarn add react-comment-codeby
```
Then: 

App.js
```javascript
import {CommentAntd} from "react-comment-codeby";

function App() {
    return (
        <>
            <CommentAntd
                app_id={1}
                people={{
                    "special_id": 1,
                    "name": "Tien.luckyfor",
                    "avatar": "https://fakeimg.pl/350x200/?text=Tien",
                    "profile_url": "https://www.facebook.com/profile.php?id=100042199030094",
                }}
                unique={{
                    "special_id": "post_id-1"
                }}
            />
        </>
    );
}

export default App;
```

## License

[MIT](https://choosealicense.com/licenses/mit/)


## Authors

- [@Tien Github](https://github.com/tienluckyfor)
- [@Tien Facebook](https://www.facebook.com/profile.php?id=100042199030094)
- [@Tien Youtube](https://www.youtube.com/channel/UCZdMRZt7OzOiu6TYzUT9gUA)
