"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom.iterable.js");

var _icons = require("@ant-design/icons");

var _graphqlLike = require("../Graphql/graphqlLike");

var _antd = require("antd");

var _react = _interopRequireWildcard(require("react"));

var _graphqlUnique = require("../Graphql/graphqlUnique");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const ButtonLikeUnique = _ref => {
  var _dsUnique$data$total_, _dsUnique$data2;

  let {
    app_id,
    people,
    unique
  } = _ref;
  const [dsUnique, setDsUnique] = (0, _react.useState)({});
  const [uLike, setULike] = (0, _react.useState)({});

  const getDsUnique = async () => {
    setDsUnique({
      isLoading: true
    });
    const res = await (0, _graphqlUnique.upsertUnique)({
      app_id,
      people,
      unique
    });
    setDsUnique({
      data: res.data.upsert_unique
    });
  };

  (0, _react.useEffect)(() => {
    (async () => getDsUnique())();
  }, []);

  const sendLike = async () => {
    var _dsUnique$data, _res$data;

    setULike({
      isLoading: true
    });
    let variables = {
      "id": null,
      app_id,
      people,
      "likeable_type": "App\\Models\\Unique",
      "likeable_id": dsUnique === null || dsUnique === void 0 ? void 0 : (_dsUnique$data = dsUnique.data) === null || _dsUnique$data === void 0 ? void 0 : _dsUnique$data.id,
      "is_like": true
    };
    const res = await (0, _graphqlLike.upsertLike)(variables);
    setULike({
      data: res === null || res === void 0 ? void 0 : (_res$data = res.data) === null || _res$data === void 0 ? void 0 : _res$data.upsert_like
    });
  };

  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_antd.Button, {
    icon: /*#__PURE__*/_react.default.createElement(_icons.LikeOutlined, null),
    type: "link",
    className: "p-0",
    loading: dsUnique.isLoading || uLike.isLoading,
    onClick: async () => sendLike()
  }, ((_dsUnique$data$total_ = dsUnique === null || dsUnique === void 0 ? void 0 : (_dsUnique$data2 = dsUnique.data) === null || _dsUnique$data2 === void 0 ? void 0 : _dsUnique$data2.total_like) !== null && _dsUnique$data$total_ !== void 0 ? _dsUnique$data$total_ : 0) + (uLike.data ? 1 : 0), " like"));
};

var _default = ButtonLikeUnique;
exports.default = _default;