"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

const PeopleCalling = _ref => {
  let {
    people
  } = _ref;
  const {
    avatar,
    name
  } = people;
  return /*#__PURE__*/_react.default.createElement("figure", {
    className: "absolute absolute-x absolute-y "
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "w-28 h-28 absolute absolute-x rounded-full"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "absolute top-0 left-0 right-0 bottom-0 animate-ping bg-indigo-400 rounded-full"
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "w-28 mx-auto border-4 rounded-full animate-bounce "
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "pb-1x1 relative rounded-full overflow-hidden bg-gray-300"
  }, /*#__PURE__*/_react.default.createElement("img", {
    alt: "",
    src: avatar,
    className: "absolute h-full w-full object-cover"
  }))), /*#__PURE__*/_react.default.createElement("figcaption", {
    className: "mt-2 text-2xl text-center font-black text-white animate-bounce"
  }, name));
};

var _default = PeopleCalling;
exports.default = _default;