"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getURLParams = void 0;

require("core-js/modules/es6.regexp.search.js");

require("core-js/modules/web.dom.iterable.js");

const getURLParams = () => {
  const params = new URLSearchParams(window.location.search);
  let obj = {};

  for (let param of params) {
    obj[param[0]] = param[1];
  }

  return obj;
};

exports.getURLParams = getURLParams;